#!/usr/bin/env python
# -*- coding: utf-8 -*- 


import os
import sys
import time


from flup.server.fcgi_fork import WSGIServer

import common


def application(environ, start_response):
    status = '200 OK'
    response_headers = [('Content-type', 'text/html')
#        ('Transfer-Encoding','chunked'),
#        ('X-Accel-Buffering','no'),
    ]
    start_response(status, response_headers)

    f = open("rfc2616.html")
    total_yield = 0

    while True:
        data = f.read(common.chunk_size)
        if not data:
            break
        total_yield += len(data)
        print "\nyieled : %s , yield len: %d, total_yield: %d " % (data, len(data),total_yield)
        yield data
        time.sleep(common.sleep)
    f.close()


if __name__ == '__main__':
    WSGIServer(application, debug=False, maxSpare=20, maxChildren=200, bindAddress=('0.0.0.0', 8090)).run()

