#!/usr/bin/env python
# -*- coding: utf-8 -*- 


import os
import sys
import time


from flup.server.fcgi_fork import WSGIServer

import common


def application(environ, start_response):
    status = '200 OK'

    f = open("rfc2616.html")
    response_headers = [('Content-type', 'text/html')]
    start_response(status, response_headers)
    for line in f.readlines():
        print "yieled : %s " % line.rstrip()
        yield line
        time.sleep(common.sleep)
    f.close()


if __name__ == '__main__':
    WSGIServer(application, debug=False, maxSpare=20, maxChildren=200, bindAddress=('0.0.0.0', 8090)).run()

